1. pet
Bytrox Docs
  • Storage & File Upload API
    • File Upload
      POST
    • File Upload Copy
      GET
    • File Upload Copy Copy
      GET
    • File Upload Copy Copy Copy
      GET
  • pet
    • uploads an image
      POST
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Finds Pets by status
      GET
    • Finds Pets by tags
      GET
    • Find pet by ID
      GET
    • Updates a pet in the store with form data
      POST
    • Deletes a pet
      DELETE
  • store
    • Returns pet inventories by status
      GET
    • Place an order for a pet
      POST
    • Find purchase order by ID
      GET
    • Delete purchase order by ID
      DELETE
  • user
    • Creates list of users with given input array
      POST
    • Get user by user name
      GET
    • Updated user
      PUT
    • Delete user
      DELETE
    • Logs user into the system
      GET
    • Logs out current logged in user session
      GET
    • Creates list of users with given input array
      POST
    • Create user
      POST
  • Schemas
    • ApiResponse
    • UserArray
    • Category
    • Pet
    • Tag
    • Order
    • User
  1. pet

uploads an image

Production
https://api.bytrox.com
Production
https://api.bytrox.com
POST
https://api.bytrox.com
/pet/{petId}/uploadImage

Request

Path Params

Body Params multipart/form-data

Responses

🟢200OK
application/json
successful operation
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.bytrox.com/pet//uploadImage' \
--form 'additionalMetadata=""' \
--form 'file=@""'
Response Response Example
{
    "code": 0,
    "type": "string",
    "message": "string"
}
Modified at 2026-06-12 17:31:45
Previous
File Upload Copy Copy Copy
Next
Add a new pet to the store
Built with